Bug 1171912 (CVE-2014-8500) - CVE-2014-8500 bind: delegation handling denial of service
Summary: CVE-2014-8500 bind: delegation handling denial of service
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8500
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1171913 1171971 1171972 1171973 1171974 1171975 1171976 1300760 1300761
Blocks: 1171914
TreeView+ depends on / blocked
 
Reported: 2014-12-08 23:07 UTC by Murray McAllister
Modified: 2019-09-29 13:25 UTC (History)
17 users (show)

Fixed In Version: bind 9.9.6-P1, bind 9.10.1-P1
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in the way BIND followed DNS delegations. A remote attacker could use a specially crafted zone containing a large number of referrals which, when looked up and processed, would cause named to use excessive amounts of memory or crash.
Clone Of:
Environment:
Last Closed: 2014-12-12 03:54:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1984 normal SHIPPED_LIVE Important: bind security update 2014-12-12 08:41:04 UTC
Red Hat Knowledge Base (Solution) 1290543 None None None Never
Red Hat Product Errata RHSA-2014:1985 normal SHIPPED_LIVE Important: bind97 security update 2014-12-12 07:09:59 UTC
Red Hat Product Errata RHSA-2016:0078 normal SHIPPED_LIVE Important: bind security update 2016-01-28 18:27:03 UTC

Description Murray McAllister 2014-12-08 23:07:25 UTC
The BIND 9.9.6-P1 and 9.10.1-P1 release fix the following flaw:

""
By making use of maliciously-constructed zones or a rogue server, an attacker can exploit an oversight in the code BIND 9 uses to follow delegations in the Domain Name Service, causing BIND to issue unlimited queries in an attempt to follow the delegation.  This can lead to resource exhaustion and denial of service (up to and including termination of the named server process.)

All recursive resolvers are affected.  Authoritative servers can be affected if an attacker can control a delegation traversed by the authoritative server in servicing the zone.
""

It is reported that versions 9.0.x to 9.8.x, 9.9.0 to 9.9.6, and 9.10.0 to 9.10.1 are affected.

External References:

https://kb.isc.org/article/AA-01216/74/CVE-2014-8500%3A-A-Defect-in-Delegation-Handling-Can-Be-Exploited-to-Crash-BIND.html

Comment 1 Murray McAllister 2014-12-08 23:09:04 UTC
Created bind tracking bugs for this issue:

Affects: fedora-all [bug 1171913]

Comment 9 Tomáš Hozza 🤓 2014-12-10 08:48:53 UTC
(In reply to Tomas Hoger from comment #8)
> Upstream commits for bind 9.9:
> 
> https://source.isc.org/cgi-bin/gitweb.cgi?p=bind9.git;a=commitdiff;
> h=603a0e2637b35a2da820bc807f69bcf09c682dce
> https://source.isc.org/cgi-bin/gitweb.cgi?p=bind9.git;a=commitdiff;
> h=711e833921d3dd67df7515438e152bbfdb2c1249

Also:

https://source.isc.org/cgi-bin/gitweb.cgi?p=bind9.git;a=commit;h=6cd340997bad88472dfd80b86192a57205ab1c8e

Comment 12 errata-xmlrpc 2014-12-12 02:10:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1985 https://rhn.redhat.com/errata/RHSA-2014-1985.html

Comment 13 errata-xmlrpc 2014-12-12 03:41:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2014:1984 https://rhn.redhat.com/errata/RHSA-2014-1984.html

Comment 14 Tomas Hoger 2014-12-12 20:14:02 UTC
Advisory from the original reporter ANSSI, the French Network and Information Security Agency:

http://www.ssi.gouv.fr/en/the-anssi/events/vulnerabilty-disclosure-the-infinitely-delegating-name-servers-idns-attack.html

Comment 15 Fedora Update System 2014-12-18 06:10:45 UTC
bind-9.9.4-17.P2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-01-06 06:05:01 UTC
bind-9.9.6-5.P1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-01-06 06:14:09 UTC
bind-9.9.3-16.P2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 errata-xmlrpc 2016-01-28 13:27:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 AUS - Server Only
  Red Hat Enterprise Linux 6.4 AUS - Server Only

Via RHSA-2016:0078 https://rhn.redhat.com/errata/RHSA-2016-0078.html


Note You need to log in before you can comment on or make changes to this bug.